% \documentclass[noanswers, nolegalese, 11pt]{examjh}
\documentclass[answers, nolegalese, 11pt]{examjh}
\usepackage{../../../../computingfonts}
\usepackage{../../../../contentmacros}
\usepackage{graphicx}

\setlength{\parindent}{0em}\setlength{\parskip}{0.5ex}
\pagestyle{empty}
\begin{document}\thispagestyle{empty}
\makebox[\textwidth]{Questions for Three.III\hfill  From \textit{Theory of Computation}, by Hef{}feron}\vspace{-1ex}
\makebox[\textwidth]{\hbox{}\hrulefill\hbox{}}


\begin{questions}
\question
Consider these two graphs, $\mathcal{G}_0$ and $\mathcal{G}_1$.
\begin{center}
  \includegraphics{asy/languages002.pdf}
  \qquad
  \includegraphics{asy/languages003.pdf}
\end{center}
\begin{parts}
\part List the vertices of $\mathcal{G}_0$.
\begin{solution}
The vertices are $\mathcal{N}_0=\set{v_0, \ldots v_7}$.
\end{solution}

\part List the vertices of $\mathcal{G}_1$.
\begin{solution}
The vertices are $\mathcal{N}_1=\set{n_0, \ldots n_7}$.
\end{solution}

\part Give the edges of $\mathcal{G}_0$.
\begin{solution}
\begin{equation*}
  \mathcal{E}_0=\set{v_0v_1, v_0v_2, v_0v_4, 
                     v_1v_3,
                     v_2v_3, v_2v_6,
                     v_4v_5, v_4v_6, 
                     v_5v_7,
                     v_6v_7
                     }
\end{equation*}
\end{solution}

\part Give the edges of $\mathcal{G}_1$.
\begin{solution}
\begin{equation*}
  \mathcal{E}_1=\set{n_0n_4, n_0n_5,  
                     n_1n_4, n_1n_5,
                     n_2n_3, n_2n_6,
                     n_3n_4, n_3n_7,  
                     n_5n_6,
                     n_6n_7
                     }
\end{equation*}
\end{solution}

\part Give the degree sequence of $\mathcal{G}_0$.
\begin{solution}
The degrees of vertices in $\mathcal{G}_0$ are:
$3,3,3,3,2,2,2,2$
\end{solution}

\part Give the degree sequence of $\mathcal{G}_1$.
\begin{solution}
The degrees of vertices in $\mathcal{G}_0$ are:
$3,3,3,3,2,2,2,2$
\end{solution}

\part Consider this correspondence between the vertices.
\begin{center}
\begin{tabular}{r|*{8}{c}}
  vertex of $\mathcal{G}_0$ &$v_0$ &$v_1$ &$v_2$ &$v_3$ &$v_4$ &$v_5$ &$v_6$ &$v_7$ \\
  \cline{2-9}
  vertex of $\mathcal{G}_1$ &$n_6$ &$n_2$ &$n_7$ &$n_3$ &$n_5$ &$n_1$ &$n_0$ &$n_4$ 
\end{tabular}
\end{center}
Find the image, under the correspondence, of the edges of $\mathcal{G}_0$.
Do they match the edges of $\mathcal{G}_1$?
\begin{solution}
These are the images of edges from the left-hand graph.
\begin{center}
\begin{tabular}{r|*{10}{c}}
  edge of $\mathcal{G}_0$ &$v_0v_1$ &$v_0v_2$ &$v_0v_4$ &$v_1v_3$ &$v_2v_3$ &$v_2v_6$ &$v_4v_5$ &$v_4v_6$ &$v_5v_7$ &$v_6v_7$   \\
  \cline{2-11}
  image edge              &$n_6n_2$ &$n_6n_7$ &$n_6n_5$ &$n_2n_3$ &$n_7n_3$ &$n_7n_0$ &$n_5n_1$ &$n_5n_0$ &$n_1n_4$ &$n_0n_4$  \\
\end{tabular}
\end{center}
On that list is no $n_3n_4$, although $\mathcal{G}_1$ has such an edge.
Further, that list shows $n_7n_0$, although $\mathcal{G}_1$ has no such edge.
So the given correspondence between vertices does not induce a correspondence
between edges.
This map is not a graph isomorphism.
\end{solution}

\part Of course, failure of any one proposed map does not imply that
the two cannot be isomorphic. 
Nonetheless, argue that they are not isomorphic.
\begin{solution}
The graph $\mathcal{G}_1$ has a pair of degree~$3$ vertices, $n_6$ and~$n_3$, 
that are separated by a degree~$2$ vertex, $n_2$.
But $\mathcal{G}_0$ has no such pair (there, the degree~$3$ vertices are
separated by two degree~$2$ vertices).
\end{solution}
\end{parts}
\end{questions}
\end{document}
